Index: Singular/LIB/deform.lib
===================================================================
--- Singular/LIB/deform.lib	(revision 38c1655b00c7eaba87af5a330f66679d70e33495)
+++ Singular/LIB/deform.lib	(revision 06f16f99b85c345dd60a647c2025081e13cfa7c2)
@@ -1,7 +1,7 @@
-// $Id: deform.lib,v 1.19 1999-12-13 15:33:45 obachman Exp $
+// $Id: deform.lib,v 1.20 2000-05-12 12:20:25 krueger Exp $
 // author: Bernd Martin email: martin@math.tu-cottbus.de
 //(bm, last modified 4/98)
 ///////////////////////////////////////////////////////////////////////////////
-version="$Id: deform.lib,v 1.19 1999-12-13 15:33:45 obachman Exp $";
+version="$Id: deform.lib,v 1.20 2000-05-12 12:20:25 krueger Exp $";
 info="
 LIBRARY:  deform.lib       PROCEDURES FOR COMPUTING MINIVERSAL DEFORMATION
@@ -535,5 +535,11 @@
   mod_versal(Mo,Io);
   printlevel = p;
-  if(system("with","Namespaces")) { kill Ring::Px,Top::Qx,Ring::So; }
+  if(system("with","Namespaces")) {
+     if(nameof(Current) == "Ring" ) {
+        kill Top::Px,Top::Qx,Top::So;
+     } else {
+        kill Ring::Px,Ring::So;
+     }
+  }
   kill Px,Qx,So;
 }
Index: Singular/LIB/inout.lib
===================================================================
--- Singular/LIB/inout.lib	(revision 38c1655b00c7eaba87af5a330f66679d70e33495)
+++ Singular/LIB/inout.lib	(revision 06f16f99b85c345dd60a647c2025081e13cfa7c2)
@@ -1,7 +1,7 @@
-// $Id: inout.lib,v 1.16 2000-05-05 18:40:31 obachman Exp $
+// $Id: inout.lib,v 1.17 2000-05-12 12:20:25 krueger Exp $
 // (GMG/BM, last modified 22.06.96)
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: inout.lib,v 1.16 2000-05-05 18:40:31 obachman Exp $";
+version="$Id: inout.lib,v 1.17 2000-05-12 12:20:25 krueger Exp $";
 info="
 LIBRARY:  inout.lib     PROCEDURES FOR MANIPULATING IN- AND OUTPUT
@@ -323,5 +323,5 @@
    string sid = "ideal id =",rMacaulay(s1),";";
    ring r = 0,x(0..3),dp;
-   execute sid;
+   execute(sid);
    id; "";
    // The next example treats a matrix in Macaulay format. Using the execute
@@ -567,5 +567,5 @@
    newvar = newvar[2,size(newvar)-1];
 
-   execute "ring newP=("+newchar+"),("+newvar+"),("+neword+");";
+   execute("ring newP=("+newchar+"),("+newvar+"),("+neword+");");
    def id = imap(P,id);
    show(id);
Index: Singular/LIB/normal.lib
===================================================================
--- Singular/LIB/normal.lib	(revision 38c1655b00c7eaba87af5a330f66679d70e33495)
+++ Singular/LIB/normal.lib	(revision 06f16f99b85c345dd60a647c2025081e13cfa7c2)
@@ -5,5 +5,5 @@
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: normal.lib,v 1.24 2000-05-10 13:05:16 pfister Exp $";
+version="$Id: normal.lib,v 1.25 2000-05-12 12:20:25 krueger Exp $";
 info="
 LIBRARY:  normal.lib     PROCEDURES FOR NORMALIZATION
@@ -571,6 +571,6 @@
           "// the ideal was the zero-ideal";
       }
-         execute "ring newR7="+charstr(basering)+",("+varstr(basering)+"),("
-                      +ordstr(basering)+");";
+         execute("ring newR7="+charstr(basering)+",("+varstr(basering)+"),("
+                      +ordstr(basering)+");");
          ideal norid=ideal(0);
          ideal normap=fetch(BAS,ihp);
@@ -888,6 +888,6 @@
          }
          MB=SM[2];
-         execute "ring newR7="+charstr(basering)+",("+varstr(basering)+"),("
-                      +ordstr(basering)+");";
+         execute("ring newR7="+charstr(basering)+",("+varstr(basering)+"),("
+                      +ordstr(basering)+");");
          ideal norid=fetch(BAS,MB);
          ideal normap=fetch(BAS,ihp);
@@ -1046,6 +1046,6 @@
       int equi=attrib(SM[2],"isEquidimensional");
       ideal new1=qAnn+SM[2];
-      execute "ring newR1="+charstr(basering)+",("+varstr(basering)+"),("
-                      +ordstr(basering)+");";
+      execute("ring newR1="+charstr(basering)+",("+varstr(basering)+"),("
+                      +ordstr(basering)+");");
       if(y>=1)
       {
@@ -1073,6 +1073,6 @@
       ideal new2=quotient(SM[2],Ann)+SM[2];
 // evtl. qAnn nehmen
-      execute "ring newR2="+charstr(basering)+",("+varstr(basering)+"),("
-                      +ordstr(basering)+");";
+      execute("ring newR2="+charstr(basering)+",("+varstr(basering)+"),("
+                      +ordstr(basering)+");");
 
       ideal vid=fetch(BAS,new2);
Index: Singular/LIB/primdec.lib
===================================================================
--- Singular/LIB/primdec.lib	(revision 38c1655b00c7eaba87af5a330f66679d70e33495)
+++ Singular/LIB/primdec.lib	(revision 06f16f99b85c345dd60a647c2025081e13cfa7c2)
@@ -1,3 +1,3 @@
-// $Id: primdec.lib,v 1.61 2000-05-11 11:22:40 pfister Exp $
+// $Id: primdec.lib,v 1.62 2000-05-12 12:20:26 krueger Exp $
 ///////////////////////////////////////////////////////////////////////////////
 // primdec.lib                                                               //
@@ -11,5 +11,5 @@
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: primdec.lib,v 1.61 2000-05-11 11:22:40 pfister Exp $";
+version="$Id: primdec.lib,v 1.62 2000-05-12 12:20:26 krueger Exp $";
 info="
 LIBRARY: primdec.lib   PROCEDURES FOR PRIMARY DECOMPOSITION
@@ -85,5 +85,5 @@
    if(ordstr(basering)[1,2]!="dp")
    {
-      execute "ring @Phelp=("+charstr(@P)+"),("+varstr(@P)+"),(C,dp);";
+      execute("ring @Phelp=("+charstr(@P)+"),("+varstr(@P)+"),(C,dp);");
       ideal inew=std(imap(@P,id));
       ideal  @h=imap(@P,h);
@@ -1182,10 +1182,10 @@
    def bsr= basering;
    string @id=string(h);
-   execute "ring @r=0,("+@pa+","+varstr(bsr)+"),(C,dp);";
-   execute "ideal @i="+@id+";";
+   execute("ring @r=0,("+@pa+","+varstr(bsr)+"),(C,dp);");
+   execute("ideal @i="+@id+";");
    poly @p=lcmP(@i);
    string @ps=string(@p);
    setring bsr;
-   execute "poly @p="+@ps+";";
+   execute("poly @p="+@ps+";");
    return(@p);
 }
@@ -1507,6 +1507,6 @@
    list l= prepareQuotientring(3);
    l;
-   execute l[1];
-   execute l[2];
+   execute(l[1]);
+   execute(l[2]);
    basering;
    phi;
@@ -1562,6 +1562,6 @@
    i=qr[1];
 
-   execute "ring gnir = ("+charstr(basering)+"),("+varstr(basering)+"),("
-             +ordstr(basering)+");";
+   execute("ring gnir = ("+charstr(basering)+"),("+varstr(basering)+"),("
+             +ordstr(basering)+");");
 
 
@@ -1597,6 +1597,6 @@
          setring @P;
         // kill gnir;
-         execute "ring gnir1 = ("+charstr(basering)+"),
-                              ("+varstr(basering)+"),(C,lp);";
+         execute("ring gnir1 = ("+charstr(basering)+"),
+                              ("+varstr(basering)+"),(C,lp);");
          ideal i=fetch(@P,i);
          list @pr=facstd(i);
@@ -1684,5 +1684,5 @@
   def P=basering;
 
-  execute "ring ir = ("+charstr(basering)+"),("+varstr(basering)+"),(C,lp);";
+  execute("ring ir = ("+charstr(basering)+"),("+varstr(basering)+"),(C,lp);");
   list l=fetch(P,li);
   list @erg;
@@ -2046,5 +2046,5 @@
   //----------------------------------------------------------------
 
-  execute "ring gnir = ("+charstr(basering)+"),("+varstr(basering)+"),(C,lp);";
+  execute("ring gnir = ("+charstr(basering)+"),("+varstr(basering)+"),(C,lp);");
   option(redSB);
 
@@ -2198,9 +2198,9 @@
   if(ordstr(@P)[1]=="w")
   {
-     execute "ring @Phelp=("+charstr(gnir)+"),("+varstr(gnir)+"),("+ordstr(@P)+");";
+     execute("ring @Phelp=("+charstr(gnir)+"),("+varstr(gnir)+"),("+ordstr(@P)+");");
   }
   else
   {
-     execute "ring @Phelp=("+charstr(gnir)+"),("+varstr(gnir)+"),(C,dp);";
+     execute("ring @Phelp=("+charstr(gnir)+"),("+varstr(gnir)+"),(C,dp);");
   }
 
@@ -2239,6 +2239,6 @@
      //change the ring
      {
-        execute "ring gnir1 = ("+charstr(basering)+"),("+varstr(basering)+"),("
-                              +ordstr(basering)+");";
+        execute("ring gnir1 = ("+charstr(basering)+"),("+varstr(basering)+"),("
+                              +ordstr(basering)+");");
         ideal @j=fetch(gnir,@j);
         attrib(@j,"isSB",1);
@@ -2249,7 +2249,7 @@
      {
         @va=string(maxideal(1));
-        execute "ring gnir1 = ("+charstr(basering)+"),("+indep[@m][1]+"),("
-                              +indep[@m][2]+");";
-        execute "map phi=gnir,"+@va+";";
+        execute("ring gnir1 = ("+charstr(basering)+"),("+indep[@m][1]+"),("
+                              +indep[@m][2]+");");
+        execute("map phi=gnir,"+@va+";");
         if(homo==1)
         {
@@ -2296,5 +2296,5 @@
      //---------------------------------------------------------------------
 
-     execute quotring;
+     execute(quotring);
 
     // @j considered in the quotientring
@@ -2507,6 +2507,6 @@
            //change the ring
            {
-              execute "ring gnir1 = ("+charstr(basering)+"),("+
-                varstr(basering)+"),("+ordstr(basering)+");";
+              execute("ring gnir1 = ("+charstr(basering)+"),("+
+                varstr(basering)+"),("+ordstr(basering)+");");
               ideal @j=fetch(gnir,jkeep);
               attrib(@j,"isSB",1);
@@ -2515,7 +2515,7 @@
            {
               @va=string(maxideal(1));
-              execute "ring gnir1 = ("+charstr(basering)+"),("+
-                      restindep[@m][1]+"),(" +restindep[@m][2]+");";
-              execute "map phi=gnir,"+@va+";";
+              execute("ring gnir1 = ("+charstr(basering)+"),("+
+                      restindep[@m][1]+"),(" +restindep[@m][2]+");");
+              execute("map phi=gnir,"+@va+";");
               if(homo==1)
               {
@@ -2560,5 +2560,5 @@
            //------------------------------------------------------------------
 
-           execute quotring;
+           execute(quotring);
 
            // @j considered in the quotientring
@@ -2845,6 +2845,6 @@
       //change the ring
       {
-        execute "ring gnir1 = ("+charstr(basering)+"),("+varstr(basering)+"),("
-                              +ordstr(basering)+");";
+        execute("ring gnir1 = ("+charstr(basering)+"),("+varstr(basering)+"),("
+                              +ordstr(basering)+");");
          ideal @j=fetch(@P,@j);
          attrib(@j,"isSB",1);
@@ -2853,7 +2853,7 @@
       {
          @va=string(maxideal(1));
-         execute "ring gnir1 = ("+charstr(basering)+"),("+indep[@m][1]+"),("
-                              +indep[@m][2]+");";
-         execute "map phi=@P,"+@va+";";
+         execute("ring gnir1 = ("+charstr(basering)+"),("+indep[@m][1]+"),("
+                              +indep[@m][2]+");");
+         execute("map phi=@P,"+@va+";");
          if(homo==1)
          {
@@ -2897,5 +2897,5 @@
      //------------------------------------------------------------------------
 
-      execute quotring;
+      execute(quotring);
 
     // @j considered in the quotientring
@@ -3366,5 +3366,5 @@
   def oldring=basering;
   string n=system("neworder",PS);
-  execute "ring r=("+charstr(oldring)+"),("+n+"),dp;";
+  execute("ring r=("+charstr(oldring)+"),("+n+"),dp;");
   ideal PS=imap(oldring,PS);
   matrix m=char_series(PS);  // We compute an irreducible
@@ -3963,10 +3963,10 @@
 
       U[size(U)]=")";           // we compute the extractor of I (w.r.t. U)
-      execute "ring RAU="+charstr(basering)+",("+A+U+",(dp("+string(a)+"),dp);";
+      execute("ring RAU="+charstr(basering)+",("+A+U+",(dp("+string(a)+"),dp);");
       ideal I=imap(R,SI);
       //I=std(I,hv);            // the standard basis in (R[U])[A]
       I=std(I);            // the standard basis in (R[U])[A]
       A[size(A)]=")";
-      execute "ring Rloc=("+charstr(basering)+","+U+",("+A+",dp;";
+      execute("ring Rloc=("+charstr(basering)+","+U+",("+A+",dp;");
       ideal I=imap(RAU,I);
       //"std in lokalisierung:"+newline,I;
@@ -4393,6 +4393,6 @@
       if(dim(pr[1])>1)
       {
-         execute "ring gnir = ("+charstr(basering)+"),
-                              ("+varstr(basering)+"),(C,lp);";
+         execute("ring gnir = ("+charstr(basering)+"),
+                              ("+varstr(basering)+"),(C,lp);");
          ideal i=fetch(@P,i);
          list @pr=facstd(i);
